xine-lib: _NODE_TYPE Struct Reference

xine-lib 1.2.12

Data Fields
_NODE_TYPE Struct Reference

`#include <goomsl_private.h>`

## Data Fields
int | type
char * | str
GoomHash * | vnamespace
int | line_number
union {
ConstIntNodeType constInt
ConstFloatNodeType constFloat
ConstPtrNodeType constPtr
OprNodeType opr
} | unode

## Field Documentation

## ◆ constFloat

ConstFloatNodeType _NODE_TYPE::constFloat

Referenced by new_constFloat().

## ◆ constInt

ConstIntNodeType _NODE_TYPE::constInt

Referenced by new_constInt().

## ◆ constPtr

ConstPtrNodeType _NODE_TYPE::constPtr

Referenced by new_constPtr().

## ◆ line_number

int _NODE_TYPE::line_number

Referenced by commit_call(), commit_div_eq(), commit_ext_call(), commit_foreach(), commit_function_intro(), commit_function_outro(), commit_if(), commit_mul_eq(), commit_not(), commit_plus_eq(), commit_sub_eq(), commit_test2(), commit_while(), new_neg(), new_static_foreach(), nodeClone(), nodeNew(), precommit_call_expr(), and precommit_expr().

## ◆ opr

OprNodeType _NODE_TYPE::opr

Referenced by commit_affect_list(), commit_block(), commit_call(), commit_div_eq(), commit_ext_call(), commit_foreach(), commit_if(), commit_mul_eq(), commit_node(), commit_not(), commit_plus_eq(), commit_sub_eq(), commit_test2(), commit_while(), gsl_append(), new_affec_list(), new_affect_list_after(), new_block(), new_call(), new_div_eq(), new_expr1(), new_expr2(), new_if(), new_mul_eq(), new_neg(), new_op(), new_plus_eq(), new_set(), new_static_foreach(), new_sub_eq(), new_var_list(), new_while(), precommit_call_expr(), precommit_expr(), precommit_node(), and yyparse().

## ◆ str

char* _NODE_TYPE::str

Referenced by commit_call(), commit_div_eq(), commit_ext_call(), commit_function_intro(), commit_mul_eq(), commit_node(), commit_plus_eq(), commit_sub_eq(), commit_test2(), get_tmp_id(), is_tmp_expr(), new_affect_list_after(), new_neg(), nodeClone(), nodeFreeInternals(), nodeNew(), precommit_call_expr(), and precommit_expr().

## ◆ type

int _NODE_TYPE::type

Referenced by commit_node(), commit_test2(), new_affect_list_after(), new_neg(), nodeClone(), nodeNew(), precommit_expr(), and precommit_node().

## ◆

union { ... } _NODE_TYPE::unode

Referenced by commit_affect_list(), commit_block(), commit_call(), commit_div_eq(), commit_ext_call(), commit_foreach(), commit_if(), commit_mul_eq(), commit_node(), commit_not(), commit_plus_eq(), commit_sub_eq(), commit_test2(), commit_while(), gsl_append(), new_affec_list(), new_affect_list_after(), new_block(), new_call(), new_constFloat(), new_constInt(), new_constPtr(), new_div_eq(), new_expr1(), new_expr2(), new_if(), new_mul_eq(), new_neg(), new_op(), new_plus_eq(), new_set(), new_static_foreach(), new_sub_eq(), new_var_list(), new_while(), nodeClone(), precommit_call_expr(), precommit_expr(), precommit_node(), and yyparse().

## ◆ vnamespace

GoomHash* _NODE_TYPE::vnamespace

Referenced by commit_node(), new_call_expr(), new_neg(), new_var(), nodeClone(), nodeNew(), precommit_call_expr(), and precommit_expr().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/post/goom/goomsl_private.h